QMoveEvent(3qt)

NAME
QMoveEvent - Event parameters for move events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
const QPoint& pos () const
const QPoint& oldPos () const

DESCRIPTION
The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also: QWidget::move() and QWidget::setGeometry().

MEMBER FUNCTION DOCUMENTATION

QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
Constructs a move event with the new and old widget positions.

const QPoint & QMoveEvent::oldPos () const
Returns the old position of the widget.

const QPoint & QMoveEvent::pos () const
Returns the new position of the widget, which is the same as QWidget::pos().

SEE ALSO
http://www.troll.no/qt/qmoveevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.